BlackBerry Forums Support Community

BlackBerry Forums Support Community (http://www.blackberryforums.com/)
-   General Legacy Device Discussion (http://www.blackberryforums.com/general-legacy-device-discussion/)
-   -   8700 (GSM only) BlackBerry Handheld Software v4.2.1.126/4.2.1.85 (English + Chinese) (http://www.blackberryforums.com/general-legacy-device-discussion/73367-8700-gsm-only-blackberry-handheld-software-v4-2-1-126-4-2-1-85-english-chinese.html)

CBR900RR 04-17-2007 07:10 PM

8700 (GSM only) BlackBerry Handheld Software v4.2.1.126/4.2.1.85 (English + Chinese)
 
1 Attachment(s)
https://www.blackberry.com/Downloads...4E92D025A75D1F


EDIT : dead link corrected
EDIT2 : updated BLACKBERRY.ALX file to unlock all themes
EDIT 3: Added instructions for installation

Quote:

BlackBerry Handheld Software v4.2.1.126 (Chinese)

Package Version: 4.2.1.126
Consisting of:
Applications: 4.2.1.85
Software Platform: 2.3.0.67
File name: 8700C_PBr4.2.1_rel126_PL2.3.0.67_A4.2.1.85_OPTUS.e xe
File size: 56.19MB
To install this update:
1. Download and install the latest version of Desktop Manager
2. Donwload this OS and install it to the PC.
3. Delete the vendor.xml file located in c:\program files\common files\research in motion\apploader (this step is necessary any time an OS is installed from a different carrier than what is branded on the BB.)
4. Plug in BB and open Desktop Manager. You should be prompted to upgrade.

To add the vendor themes with the Blackberry.alx included in the BlackBerry.zip below. This can be done before or after the upgrade. Recommendations are to do it after the installation of the OS.

1. Download and unzip the file below.
2. Go to c:\program files\common files\research in motion\shared\loader files\8700-v4.2.1.85_P2.3.0.67
2. Find the Blackberry.alx and rename it Blackberry.old (you can delete the old one but this allows you to restore it easily if necessary)
3. Copy the new Blackberry.alx you unzipped into this same folder where the old Blackberry.alx was.
4. Now connect the BB and run Desktop Manager and open Application Loader. You should see that "core applications" says "upgrade." Finish the installation.

Note: You do not use the "add" feature in Application Loader for this process.

NJBlackBerry 04-17-2007 07:17 PM

Dead link.. Have to post the prior link...

CBR900RR 04-17-2007 07:20 PM

Problem corrected

waine06 04-17-2007 07:41 PM

Dumb Question...Do you need to delete the vendor xml if you are on T-Mobile ? :?

NJBlackBerry 04-17-2007 07:46 PM

Yes...

disinvent 04-17-2007 08:06 PM

chinese only or international installer?

flash24 04-17-2007 08:51 PM

Thanks!

flash24 04-17-2007 08:52 PM

Anyone tried it yet?

CBR900RR 04-17-2007 09:22 PM

Install it and everything is ok.

Anybody have the jivetalk link, I lost it during the os upgrade process, please send it to [email address]

Many thanks.

Ramsy 04-18-2007 12:49 AM

Works perfectly. English is the default language. However, I can now display both simplified and traditional Chinese characters and I can switch input languages from English to either simplified or traditional Chinese to type e-mails in Chinese.

bmwmpower 04-18-2007 02:25 AM

I have the Brazillian 4.2 on my 8700g... if I upgrade to this chinese one, will I benefit? Also will I lose all my installed apps/settings/etc?

flash24 04-18-2007 02:57 AM

Quote:

Originally Posted by bmwmpower (Post 513350)
I have the Brazillian 4.2 on my 8700g... if I upgrade to this chinese one, will I benefit? Also will I lose all my installed apps/settings/etc?

Just back it up and then restore it..

Unwanted Hero 04-18-2007 05:09 AM

anyone know what's new in this version?

edit: Uh it tells me if i want to downgrade my device's system software? Or is this update just for t-mobile users?

edit 2: nevermind i was deleting the wrong .xml file, stupid me

CBR900RR 04-18-2007 05:25 PM

Everything work out fine, cannot duplicate the .mid ringtone error on the earlier 4.2 version, couple custom ringtone cannot play??

So far install BBlight, BBtoday, BBcorrector, google map, beyond411, jivetalk, all working fine with this new OS.

plchan 04-18-2007 05:42 PM

Quote:

Originally Posted by Ramsy (Post 513286)
Works perfectly. English is the default language. However, I can now display both simplified and traditional Chinese characters and I can switch input languages from English to either simplified or traditional Chinese to type e-mails in Chinese.

So it has both simplified and traditional chinese fonts / input as well?

Great news!

CBR900RR 04-18-2007 05:51 PM












Figment 04-18-2007 06:00 PM

I can't get Opera mini to load. Besides that it has all the themes that the first release was missing and I can't say much more so far.

I had to edit the LBS.alx from

<fileset SystemSize="normal" Java="1.0" _vendorID="~102">
<files>
net_rim_bb_lbs_resource_en.cod
</files>
</fileset>

to

<fileset SystemSize="normal" Colour="True" Java="1.0">
<files>
net_rim_bb_lbs.cod
net_rim_bb_lbs_api.cod
</files>
</fileset>

Notice the ~ it was preventing lbs from being loaded and it was missing a line. It's loaded now and working.

I also edited out the PTT feature because it wouldn't leave my active applications list and I found that quite annoying.

Perfect Storm 04-18-2007 06:17 PM

Yea, doesn't seem like opera will work with this build...that's a piss off...

Ramsy 04-18-2007 07:00 PM

Quote:

Originally Posted by plchan (Post 513802)
So it has both simplified and traditional chinese fonts / input as well?

Great news!

As the post above shows, yes. You also can change language input directly in the application. For example, when composing messages, if I need to write in Chinese, I click the track wheel and there will be an option to "change language." This allows me to conveniently change between input languages as I have to type e-mails in both English and Chinese.

bob432192 04-18-2007 08:33 PM

I am actually a customer of Optus - and would very much like to try this - to get it working.

However, I've got an 8707g. There is no version of 4.2 for the 8707g only for the 8700.

I had all sorts of problems trying to get the original 4.2 (in the sticky) to install on the 8707 (in the end it never worked, and so I reverted to 4.1).

Has anyone got 4.2 to work on a 8707?

Thanks.


All times are GMT -5. The time now is 10:03 PM.

Powered by vBulletin® Version 3.6.12
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.